from common.utils.config import Config as GlobalConfig


class Config(GlobalConfig):
    FLOW_DATA_SOURCE = GlobalConfig.CONFIG.get("VERTICAL_PORT_SCAN", "FLOW_DATA_SOURCE", fallback="correlated_flow_viz")

    BASELINE_FLOW_QUERY_GRANULARITY = GlobalConfig.CONFIG.get(
        "VERTICAL_PORT_SCAN", "FLOW_QUERY_GRANULARITY", fallback="day"
    )

    BASELINE_MAX_RETENTION_DAYS = GlobalConfig.CONFIG.get(
        "VERTICAL_PORT_SCAN", "BASELINE_MAX_RETENTION_DAYS", fallback="30"
    )

    BASELINE_MAX_HISTORICAL_CREATION_DAYS = GlobalConfig.CONFIG.get(
        "VERTICAL_PORT_SCAN", "BASELINE_MAX_HISTORICAL_CREATION_DAYS", fallback="7"
    )

    OUTLIER_SIGMA = GlobalConfig.CONFIG.get("VERTICAL_PORT_SCAN", "OUTLIER_SIGMA", fallback="3")

    MIN_BASELINE_STD = GlobalConfig.CONFIG.get("VERTICAL_PORT_SCAN", "MIN_BASELINE_STD", fallback="1")

    MIN_BASELINE_DURATION_DAYS = GlobalConfig.CONFIG.get(
        "VERTICAL_PORT_SCAN", "MIN_BASELINE_DURATION_DAYS", fallback="7"
    )

    MIN_PORT_Z_SCORE = GlobalConfig.CONFIG.get("VERTICAL_PORT_SCAN", "MIN_PORT_Z_SCORE", fallback="0")

    PERSIST_LOW_CONFIDENCE_EVENTS_AS_SILENT = GlobalConfig.CONFIG.get(
        "VERTICAL_PORT_SCAN", "PERSIST_LOW_CONFIDENCE_EVENTS_AS_SILENT", fallback="False"
    )

    EVENT_METADATA_COMPUTE_LIMIT = GlobalConfig.CONFIG.get(
        "VERTICAL_PORT_SCAN", "EVENT_METADATA_COMPUTE_LIMIT", fallback="500"
    )
